/*******************************************************************************
 * This file is part of GECAMed.
 * 
 * GECAMed is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License (L-GPL) as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * GECAMed is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License (L-GPL)
 * along with GECAMed.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * GECAMed is Copyrighted by the Centre de Recherche Public Henri Tudor (http://www.tudor.lu)
 * (c) CRP Henri Tudor, Luxembourg, 2008
 *******************************************************************************/
/**
 * @author Martin Heinemann martin.heinemann@tudor.lu
 *
 *
 *
 * @version
 * <br>$Log: DropTest.java,v $
 * <br>Revision 1.2  2008-09-25 09:43:10  heinemann
 * <br>fixed copyrights
 * <br>
 * <br>Revision 1.1  2008-03-11 17:17:11  heinemann
 * <br>*** empty log message ***
 * <br>
 *   
 */
package lu.tudor.santec.gecamed.patient.test;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;

/**
 * @author martin.heinemann@tudor.lu
 * 23.11.2007
 * 16:13:24
 *
 *
 * @version
 * <br>$Log: DropTest.java,v $
 * <br>Revision 1.2  2008-09-25 09:43:10  heinemann
 * <br>fixed copyrights
 * <br>
 * <br>Revision 1.1  2008-03-11 17:17:11  heinemann
 * <br>*** empty log message ***
 * <br>
 *   
 */
public class DropTest {

	
	
	public DropTest() {
		/* ================================================== */
		
		
		DefaultTableModel tm = new DefaultTableModel(10,4);
		JTable t = new JTable(tm);
		JScrollPane scroll = new JScrollPane(t);
		
		t.setDragEnabled(true);
		
		
		JPanel p = new JPanel(new BorderLayout());
		
		
		p.add(scroll, BorderLayout.CENTER);
		p.add(new JLabel(" "), BorderLayout.NORTH);
		p.add(new JLabel(" "), BorderLayout.EAST);
		p.add(new JLabel(" "), BorderLayout.WEST);
		
		
		JFrame frame = new JFrame();
		
		frame.add(p);
		
		frame.pack();
		frame.setVisible(true);
		
		
		/* ================================================== */
	}
	
	
	public static void main (String[] scheisse) {
		/* ================================================== */
		new DropTest();
		/* ================================================== */
	}
	
	
}
